PDA

Visualizza la versione completa : Xfce4 e Gdesklets


zaltar
07-06-2004, 15:58
Ho installato con swaret gdesklets 0.26, poi ho provveduto a installare anche RSS-grab, fin qui tutto bene.

Ho scompattato il *.tar.gz con "tar xvzf" e ho letto che per installare RSS-grab basta dare "./Install.[...].bin".

Il sensore risulta installato correttamente, quindi mi sono stupito quando ho dato:

sh-2.05b$ gdesklets &

ed č saltato fuori questo:

[1] 6173
sh-2.05b$ Could not connect to gnome-session. GNOME session management will not be
available for this application.
gDesklets 0.26
Copyright (C) 2003, 2004 Martin Grimme, Christian Meyer, Jesse Andrews

This software is licensed under the terms of the GNU GPL.

OPTS:: [] REST:: []

{Qui ho dovuto chiudere con Ctrl+C}

Sapreste spiegarmi dove ho sbagliato?
Come posso correggere il mio errore?

Grazie a tutti. :adhone:

Boromir
07-06-2004, 16:22
io l'ho installato ieri a casa e mi ha funzionato a meraviglia , ho provato a installarlo qui in ufficio , sempre da synaptic e mi da come errore " unable found gconf module" ??!?!?!?!?!

gianiaz
07-06-2004, 16:47
una volta dato l'install.bin bisogna richiamare il relativo display creato.

Quindi prima di lanciare gdesklets devi aggiungere il display alla lista di quelli che verranno lanciati.
Faccio prima a fare un esempio:



gianiaz@gianiaz:~/gdesk/GoodWeather$ pwd
/home/gianiaz/gdesk/GoodWeather
gianiaz@gianiaz:~/gdesk/GoodWeather$ ./Install_GoodWeather_Sensor.bin
gianiaz@gianiaz:~/gdesk/GoodWeather$ gdesklets GoodWeather.display
gianiaz@gianiaz:~/gdesk/GoodWeather$ gdesklets &


:ciauz:

zaltar
07-06-2004, 17:11
Ecco cosa č successo esattamente:

sh-2.05b$ pwd
/home/zaltar/Downloads/gdesklets/rssgrab-0.6.2
sh-2.05b$ gdesklets rssgrab.display
Could not connect to gnome-session. GNOME session management will not be
available for this application.
gDesklets 0.26
Copyright (C) 2003, 2004 Martin Grimme, Christian Meyer, Jesse Andrews

This software is licensed under the terms of the GNU GPL.

OPTS:: [] REST:: ['rssgrab.display']
sh-2.05b$ gdesklets &
[1] 8295
sh-2.05b$ Could not connect to gnome-session. GNOME session management will not be
available for this application.
gDesklets 0.26
Copyright (C) 2003, 2004 Martin Grimme, Christian Meyer, Jesse Andrews

This software is licensed under the terms of the GNU GPL.

OPTS:: [] REST:: []
Could not load sensor rssgrab
Could not load sensor rssgrab
Could not load sensor rssgrab
closing 1086628043550304622797576
collected garbage: 66 uncollectable: 0
closing 1086628059950265414874609
collected garbage: 0 uncollectable: 0
purging 1086628043550304622797576
purging 1086628059950265414874609
Traceback (most recent call last):
File "/usr/local/bin/gdesklets", line 76, in ?
starter.start_displays()
File "/usr/local/share/gdesklets/main/Starter.py", line 250, in start_displays
self.__on_watch(None, None)
File "/usr/local/share/gdesklets/main/Starter.py", line 88, in __on_watch
self.__add_display(ident, displays[ident])
File "/usr/local/share/gdesklets/main/Starter.py", line 115, in __add_display
dsp = self.__create_display(ident, path)
File "/usr/local/share/gdesklets/main/Starter.py", line 172, in __create_display
admin.remove_display(ident)
File "/usr/local/share/gdesklets/main/admin.py", line 93, in remove_display
del displays[id]
KeyError: '1086628059950265414874609'


Accidenti! Ho visto nel topic la mia schermata centinaia di volte Xfce con Gdesklets e ora che uso questo WM non riesco a far funzionare questa interessante utilitā.

zaltar
07-06-2004, 18:47
Ma se ho Slackware9.1 con Xfce4, che č gnome-compatibile, come mai gdesklets dā quell'errore?

E' questo che non capisco. :confused:

zaltar
07-06-2004, 18:51
Dando un'occhiata in giro mi sono accorto che altri slacker hanno riscontrato lo stesso problema, che sembra sia legato a Dropline GNOME, che ho installato.

Come si risolve? :(

Loading